OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
sign_widget.h File Reference

Types related to the sign widgets. More...

Go to the source code of this file.

## Enumerations
enum | SignListWidgets { WID_SIL_CAPTION, WID_SIL_LIST, WID_SIL_SCROLLBAR, WID_SIL_FILTER_TEXT, WID_SIL_FILTER_MATCH_CASE_BTN, WID_SIL_FILTER_ENTER_BTN }
| Widgets of the SignListWindow class. More...
enum | QueryEditSignWidgets { WID_QES_CAPTION, WID_QES_TEXT, WID_QES_OK, WID_QES_CANCEL, WID_QES_DELETE, WID_QES_PREVIOUS, WID_QES_NEXT }
| Widgets of the SignWindow class. More...

## Detailed Description

Types related to the sign widgets.

Definition in file sign_widget.h.

## Enumeration Type Documentation

enum QueryEditSignWidgets

Widgets of the SignWindow class.

Enumerator:

  WID_QES_CAPTION | Caption of the window.
  WID_QES_TEXT | Text of the query.
  WID_QES_OK | OK button.
  WID_QES_CANCEL | Cancel button.
  WID_QES_DELETE | Delete button.
  WID_QES_PREVIOUS | Previous button.
  WID_QES_NEXT | Next button.

Definition at line 27 of file sign_widget.h.

enum SignListWidgets

Widgets of the SignListWindow class.

Enumerator:

  WID_SIL_CAPTION | Caption of the window.
  WID_SIL_LIST | List of signs.
  WID_SIL_SCROLLBAR | Scrollbar of list.
  WID_SIL_FILTER_TEXT | Text box for typing a filter string.
  WID_SIL_FILTER_MATCH_CASE_BTN | Button to toggle if case sensitive filtering should be used.
  WID_SIL_FILTER_ENTER_BTN | Scroll to first sign.

Definition at line 16 of file sign_widget.h.